### Function

# Gimp adaptive_supersample_area

#### Declaration [src]

    gulong
    gimp_adaptive_supersample_area (
      gint x1,
      gint y1,
      gint x2,
      gint y2,
      gint max_depth,
      gdouble threshold,
      GimpRenderFunc render_func,
      gpointer render_data,
      GimpPutPixelFunc put_pixel_func,
      gpointer put_pixel_data,
      GimpProgressFunc progress_func,
      gpointer progress_data
    )

#### Description

No description available.

#### Parameters

`x1` | `gint`
| Left x coordinate of the area to process.
`y1` | `gint`
| Top y coordinate of the area to process.
`x2` | `gint`
| Right x coordinate of the area to process.
`y2` | `gint`
| Bottom y coordinate of the area to process.
`max_depth` | `gint`
| Maximum depth of supersampling.
`threshold` | `gdouble`
| Lower threshold of pixel difference that stops supersampling.
`render_func` | `GimpRenderFunc`
| Function calculate the color value at given coordinates.
`render_data` | `gpointer`
| User data passed to `render_func`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`put_pixel_func` | `GimpPutPixelFunc`
| Function to a pixels to a color at given coordinates.
`put_pixel_data` | `gpointer`
| User data passed to `put_pixel_func`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`progress_func` | `GimpProgressFunc`
| Function to report progress.
`progress_data` | `gpointer`
| User data passed to `progress_func`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gulong`
| The number of pixels processed.